<html>
<head>
<title>Ogre::GLES2Context Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLES2Context.html">GLES2Context</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLES2Context Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLES2Context" -->
<p>Class that encapsulates an GL context.  
 <a href="classOgre_1_1GLES2Context.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLES2Context:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLES2Context__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLES2Context_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLES2Context_inherit__map" id="Ogre_1_1GLES2Context_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1AndroidGLContext.html" title="Ogre::AndroidGLContext" alt="" coords="5,83,171,112"/><area shape="rect" id="node5" href="classOgre_1_1EAGLES2Context.html" title="Ogre::EAGLES2Context" alt="" coords="195,83,357,112"/><area shape="rect" id="node7" href="classOgre_1_1EGLContext.html" title="Ogre::EGLContext" alt="" coords="381,83,512,112"/><area shape="rect" id="node17" href="classOgre_1_1NaClGLContext.html" title="Ogre::NaClGLContext" alt="" coords="536,83,685,112"/><area shape="rect" id="node9" href="classOgre_1_1SymbianEGLContext.html" title="Ogre::SymbianEGLContext" alt="" coords="159,160,340,189"/><area shape="rect" id="node11" href="classOgre_1_1Win32EGLContext.html" title="Ogre::Win32EGLContext" alt="" coords="364,160,529,189"/><area shape="rect" id="node14" href="classOgre_1_1X11EGLContext.html" title="Ogre::X11EGLContext" alt="" coords="553,160,705,189"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLES2Context-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#a295a18126fd987222e787f35e17938e1">GLES2Context</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#a863d851be5b196821063b7abb148631c">~GLES2Context</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#a934c8c93b407843c7bd6f1112730ac5f">setCurrent</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the context.  <a href="#a934c8c93b407843c7bd6f1112730ac5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#aa17e4083d95a9ddaa4a57d3796266ddb">endCurrent</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is called before another context is made current.  <a href="#aa17e4083d95a9ddaa4a57d3796266ddb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLES2Context.html">GLES2Context</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#a51a9d3eec418eb63ccd740a674bd2afe">clone</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.  <a href="#a51a9d3eec418eb63ccd740a674bd2afe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">releaseContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the render context.  <a href="#a15cc115c6f857dad066218f1225c4283"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">initialized</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class that encapsulates an GL context. </p>
<p>(IE a window/pbuffer). This is a virtual base class which should be implemented in a <a class="el" href="classOgre_1_1GLES2Support.html">GLES2Support</a>. This object can also be used to cache renderstate if we decide to do so in the future. </p>

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00041">41</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a295a18126fd987222e787f35e17938e1"></a><!-- doxytag: member="Ogre::GLES2Context::GLES2Context" ref="a295a18126fd987222e787f35e17938e1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2Context.html#a295a18126fd987222e787f35e17938e1">Ogre::GLES2Context::GLES2Context</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a863d851be5b196821063b7abb148631c"></a><!-- doxytag: member="Ogre::GLES2Context::~GLES2Context" ref="a863d851be5b196821063b7abb148631c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLES2Context.html#a863d851be5b196821063b7abb148631c">Ogre::GLES2Context::~GLES2Context</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a51a9d3eec418eb63ccd740a674bd2afe"></a><!-- doxytag: member="Ogre::GLES2Context::clone" ref="a51a9d3eec418eb63ccd740a674bd2afe" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLES2Context.html">GLES2Context</a>* <a class="el" href="classOgre_1_1GLES2Context.html#a51a9d3eec418eb63ccd740a674bd2afe">Ogre::GLES2Context::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1EAGLES2Context.html#a132851a65b78abc9b9bc3d03fc24f952">Ogre::EAGLES2Context</a>, <a class="el" href="classOgre_1_1AndroidGLContext.html#aa57da0181551d922d5b61d25d88c776d">Ogre::AndroidGLContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#aea703d92687ace625f869dbaacb4076e">Ogre::EGLContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#a77b5a6d32de0f68ab716b5fd7ca341c6">Ogre::EGLContext</a>, <a class="el" href="classOgre_1_1NaClGLContext.html#a171d1aee2ad9ec018c005c2aeec9258f">Ogre::NaClGLContext</a>, <a class="el" href="classOgre_1_1X11EGLContext.html#a1211357b94f6925a7c0c02ae4aeab22a">Ogre::X11EGLContext</a>, <a class="el" href="classOgre_1_1Win32EGLContext.html#afce90a896db9fa209435cabebdedc998">Ogre::Win32EGLContext</a>, <a class="el" href="classOgre_1_1X11EGLContext.html#a78d96621c205c3699a3f15c93d0a4f38">Ogre::X11EGLContext</a>, <a class="el" href="classOgre_1_1SymbianEGLContext.html#aee53923de1b24a0d79bb2cd8ee87e568">Ogre::SymbianEGLContext</a>, and <a class="el" href="classOgre_1_1Win32EGLContext.html#a1e190fc1508f78b4694065b56531e368">Ogre::Win32EGLContext</a>.</p>

</div>
</div>
<a class="anchor" id="aa17e4083d95a9ddaa4a57d3796266ddb"></a><!-- doxytag: member="Ogre::GLES2Context::endCurrent" ref="aa17e4083d95a9ddaa4a57d3796266ddb" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2Context.html#aa17e4083d95a9ddaa4a57d3796266ddb">Ogre::GLES2Context::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>

<p>Implemented in <a class="el" href="classOgre_1_1EAGLES2Context.html#a88a7ef089c9c3e724c5dbd8dc7a08bfa">Ogre::EAGLES2Context</a>, <a class="el" href="classOgre_1_1AndroidGLContext.html#a8268aa78d34f787f8cf1dc67c46b6bd4">Ogre::AndroidGLContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#a08612fd3eea707121938bb0197e454c6">Ogre::EGLContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#a08612fd3eea707121938bb0197e454c6">Ogre::EGLContext</a>, and <a class="el" href="classOgre_1_1NaClGLContext.html#a3144034e084134315eed495c48a65c51">Ogre::NaClGLContext</a>.</p>

</div>
</div>
<a class="anchor" id="abd71a4bfddbdf111e429e9ff825af985"></a><!-- doxytag: member="Ogre::GLES2Context::getInitialized" ref="abd71a4bfddbdf111e429e9ff825af985" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">Ogre::GLES2Context::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a15cc115c6f857dad066218f1225c4283"></a><!-- doxytag: member="Ogre::GLES2Context::releaseContext" ref="a15cc115c6f857dad066218f1225c4283" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">Ogre::GLES2Context::releaseContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the render context. </p>

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00070">70</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a934c8c93b407843c7bd6f1112730ac5f"></a><!-- doxytag: member="Ogre::GLES2Context::setCurrent" ref="a934c8c93b407843c7bd6f1112730ac5f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2Context.html#a934c8c93b407843c7bd6f1112730ac5f">Ogre::GLES2Context::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable the context. </p>
<p>All subsequent rendering commands will go here. </p>

<p>Implemented in <a class="el" href="classOgre_1_1EAGLES2Context.html#a452a3919ff2091faeda466e4e36c8c9a">Ogre::EAGLES2Context</a>, <a class="el" href="classOgre_1_1AndroidGLContext.html#a0abace85feef0d5598c579a62b803edc">Ogre::AndroidGLContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#aa817ff5a5ae3fbb16d8ad182016b212d">Ogre::EGLContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#aa817ff5a5ae3fbb16d8ad182016b212d">Ogre::EGLContext</a>, and <a class="el" href="classOgre_1_1NaClGLContext.html#a07381fb6941d84fa01e610f93c3fa8c4">Ogre::NaClGLContext</a>.</p>

</div>
</div>
<a class="anchor" id="aae3d4471c090572da0ced04cde4b87bf"></a><!-- doxytag: member="Ogre::GLES2Context::setInitialized" ref="aae3d4471c090572da0ced04cde4b87bf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">Ogre::GLES2Context::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00059">59</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="adb1cc0fc703a49897a6401dc264b39fa"></a><!-- doxytag: member="Ogre::GLES2Context::initialized" ref="adb1cc0fc703a49897a6401dc264b39fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">Ogre::GLES2Context::initialized</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00073">73</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:27
</p>
</body>
</html>
